//
//	Copyright © 2005 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#ifndef VECTORWORKS_EXCEPTIONS__H
#define VECTORWORKS_EXCEPTIONS__H

#pragma once

namespace VWFC
{
	namespace VWObjects
	{
		class VWBadObjectTypeException : public VWException
		{
		public:
#ifdef _DEBUG
			VWBadObjectTypeException(int err, const char* desc, const char* szFile, size_t line) : VWException(err, desc, szFile, line)	{}
#else
			VWBadObjectTypeException(int err, const char* desc) : VWException(err, desc)	{}
#endif
			virtual	~VWBadObjectTypeException()							{}
		};


		class VWCannotCreateObjectException : public VWException
		{
		public:
#ifdef _DEBUG
			VWCannotCreateObjectException(int err, const char* desc, const char* szFile, size_t line) : VWException(err, desc, szFile, line)	{}
#else
			VWCannotCreateObjectException(int err, const char* desc) : VWException(err, desc)	{}
#endif
			virtual	~VWCannotCreateObjectException()		{}
		};
	}
}

#endif // VECTORWORKS_EXCEPTIONS__H